<?php
if ( ($PHP_AUTH_USER != "demo") || ($PHP_AUTH_PW != "demo")) {
Header("WWW-Authenticate: Basic realm=\"Для админов\"");
Header("HTTP/1.0 401 Unauthorized");
echo("<HTML>\n<HEAD>\n<TITLE>В доступе отказано!</TITLE>\n</HEAD>\n\n<BODY>\n\n<center><font size = 20 color=red><b>Access denied!</b></font></center><br><br><br>\n\n\n\n\n\n</BODY>\n</HTML>");
}
else {
$fp = fopen("../users/". $wmz, "r");
$dat = fgets($fp, 100);
$fp = fclose($fp);
list($ip,$email,$id,$cash,$times,$magicb,$cash2,$paid)=split(">>", $dat);
if($magicb == 0) {$setmagicb = 1;} else {$setmagicb = 0;}
$newdat = $ip. ">>". $email. ">>". $id. ">>". $cash. ">>". $times. ">>". $setmagicb. ">>". $cash2. ">>". $paid;
$fp = fopen("../users/". $wmz, "w");
if(fwrite($fp, $newdat)) {
$fp = fclose($fp);
if($setmagicb == 1) {echo "<br><br><br><br><br><br><br><br><br><center>У пользователя с кошельком&nbsp". $wmz ."&nbspперевод денег включен.";} else {echo "<br><br><br><br><br><br><br><br><br><center>У пользователя с кошельком&nbsp". $wmz ."&nbspперевод денег выключен.";}
echo "<br><a href=". $HTTP_REFERER .">Назад</a></center>";
}
}
?>